Package API

# Interface Etudiant

All Superinterfaces:
  `MonPrint`

All Known Implementing Classes:
  `EtudiantNP`

public interface Etudiant extends MonPrint
Un étudiant

## Method Summary

Modifier and Type
Method
Description
`int`
`getGroupe()`
Ajout de l'equipe pour recuperer son groupe
`int`
`getId()`
permet de récupérer l'identifiant de l'étudiant.
`String`
`getNom()`
permet de récupérer
`String`
`getPrenom()`
permet de récupérer
`default String`
`monPrint()`
Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint().

## Method Details

### getId

int getId()
permet de récupérer l'identifiant de l'étudiant.

Returns:
  l'identifiant.

### getNom

String getNom()
permet de récupérer

Returns:
  le nom de l'étudiant.

### getPrenom

String getPrenom()
permet de récupérer

Returns:
  le prénom de l'étudiant

### getGroupe

int getGroupe()
Ajout de l'equipe pour recuperer son groupe

Returns:
  Le groupe en entier

### monPrint

default String monPrint()
Description copied from interface: `MonPrint`
Fonctionne comme ToPrint() sauf car une interface n'a pas le droit de faire un override sur ToPrint(). Toutes nos interfaces vont étendre cette interface.

Specified by:
  `monPrint` in interface `MonPrint`
See Also:
  - `NB. On n'utilise le mécanisme des méthodes par défaut pour donner du code dans une interface. C'est un petit peu laid et à contre-emploi mais pratique ici.`